Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Webforms

Get All Webforms

get
/v3/webform

Returns all webforms of the given owner_id (teamId) in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
owner_idstringRequired
page_numberintegerOptional
page_sizeintegerOptional
Responses
200

The request has succeeded.

application/json
get/v3/webform
GET /v3/webform?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "org_id": "text",
      "owner_id": "text",
      "name": "text",
      "is_cname": true,
      "public_url": "text",
      "host_name": "text",
      "tags": {},
      "is_captcha_enabled": true,
      "captcha_provider": "text",
      "captcha_secret": {
        "site_key": "text",
        "secret": "text"
      },
      "form_owner_type": "text",
      "form_owner_id": "text",
      "form_owner_name": "text",
      "services": [
        {
          "service_id": "text",
          "name": "text",
          "alias": "text"
        }
      ],
      "input_field": [
        {
          "label": "text",
          "options": [
            "text"
          ]
        }
      ],
      "header": "text",
      "title": "text",
      "logo_url": "text",
      "footer_text": "text",
      "footer_link": "text",
      "email_on": [
        "text"
      ],
      "description": "text",
      "incident_count": 1,
      "mttr": 1,
      "is_deleted": true,
      "deleted_at": "text"
    }
  ],
  "meta": {
    "total_count": 1
  }
}

Create Webform

post
/v3/webform

Add a webform to the organization. Returns the webform object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body

Public API request for creating a webform

owner_idstringRequired

Unique identifier of the owner (string or UUID)

namestringRequired

Name of the webform

is_cnamebooleanRequired

Indicates if a custom domain (CNAME) is used

host_namestringOptional

Custom hostname if CNAME is enabled

tagsobjectOptional

Key-value tags for the webform

is_captcha_enabledbooleanRequired

Whether CAPTCHA is enabled on the form

form_owner_typestringRequired

Entity type that owns the form (e.g., team, user)

form_owner_idstringRequired

Identifier for the owner entity

headerstringRequired

Header text shown on the form

titlestringRequired

Title of the webform

logo_urlstringOptional

URL to the organization's logo

footer_textstringRequired

Text displayed in the footer

footer_linkstringRequired

Hyperlink in the footer (mailto or https)

email_onstring[]Optional

Emails to notify on submission

descriptionstringOptional

Optional description for the webform

Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/webform
POST /v3/webform HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 453

{
  "owner_id": "text",
  "name": "text",
  "is_cname": true,
  "host_name": "text",
  "tags": {},
  "is_captcha_enabled": true,
  "captcha_secret": {
    "site_key": "text",
    "secret": "text"
  },
  "form_owner_type": "text",
  "form_owner_id": "text",
  "services": [
    {
      "service_id": "text",
      "name": "text",
      "alias": "text"
    }
  ],
  "input_field": [
    {
      "label": "text",
      "options": [
        "text"
      ]
    }
  ],
  "header": "text",
  "title": "text",
  "logo_url": "text",
  "footer_text": "text",
  "footer_link": "text",
  "email_on": [
    "text"
  ],
  "description": "text"
}
{
  "data": {
    "webform": {
      "id": 1,
      "org_id": "text",
      "owner_id": "text",
      "name": "text",
      "is_cname": true,
      "public_url": "text",
      "host_name": "text",
      "tags": {},
      "is_captcha_enabled": true,
      "captcha_provider": "text",
      "captcha_secret": {
        "site_key": "text",
        "secret": "text"
      },
      "form_owner_type": "text",
      "form_owner_id": "text",
      "form_owner_name": "text",
      "services": [
        {
          "service_id": "text",
          "name": "text",
          "alias": "text"
        }
      ],
      "input_field": [
        {
          "label": "text",
          "options": [
            "text"
          ]
        }
      ],
      "header": "text",
      "title": "text",
      "logo_url": "text",
      "footer_text": "text",
      "footer_link": "text",
      "email_on": [
        "text"
      ],
      "description": "text",
      "incident_count": 1,
      "mttr": 1,
      "is_deleted": true,
      "deleted_at": "text"
    }
  }
}

Get Webform By ID

get
/v3/webform/{webformId}

Returns a webform details of the given webformId in the request param. Requires access_token as a Bearer {{token}} in the Authorization header with read scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
webformIdintegerRequired
Query parameters
owner_idstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/webform/{webformId}
GET /v3/webform/{webformId}?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "org_id": "text",
    "owner_id": "text",
    "name": "text",
    "is_cname": true,
    "public_url": "text",
    "host_name": "text",
    "tags": {},
    "is_captcha_enabled": true,
    "captcha_provider": "text",
    "captcha_secret": {
      "site_key": "text",
      "secret": "text"
    },
    "form_owner_type": "text",
    "form_owner_id": "text",
    "form_owner_name": "text",
    "services": [
      {
        "service_id": "text",
        "name": "text",
        "alias": "text"
      }
    ],
    "input_field": [
      {
        "label": "text",
        "options": [
          "text"
        ]
      }
    ],
    "header": "text",
    "title": "text",
    "logo_url": "text",
    "footer_text": "text",
    "footer_link": "text",
    "email_on": [
      "text"
    ],
    "description": "text",
    "incident_count": 1,
    "mttr": 1,
    "is_deleted": true,
    "deleted_at": "text"
  }
}

Update Webform

put
/v3/webform/{webformId}

Update a webform to the organization. Returns the webform object in response. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
webformIdintegerRequired
Body

Public API request for creating a webform

owner_idstringRequired

Unique identifier of the owner (string or UUID)

namestringRequired

Name of the webform

is_cnamebooleanRequired

Indicates if a custom domain (CNAME) is used

host_namestringOptional

Custom hostname if CNAME is enabled

tagsobjectOptional

Key-value tags for the webform

is_captcha_enabledbooleanRequired

Whether CAPTCHA is enabled on the form

form_owner_typestringRequired

Entity type that owns the form (e.g., team, user)

form_owner_idstringRequired

Identifier for the owner entity

headerstringRequired

Header text shown on the form

titlestringRequired

Title of the webform

logo_urlstringOptional

URL to the organization's logo

footer_textstringRequired

Text displayed in the footer

footer_linkstringRequired

Hyperlink in the footer (mailto or https)

email_onstring[]Optional

Emails to notify on submission

descriptionstringOptional

Optional description for the webform

Responses
200

The request has succeeded.

application/json
put/v3/webform/{webformId}
PUT /v3/webform/{webformId} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 453

{
  "owner_id": "text",
  "name": "text",
  "is_cname": true,
  "host_name": "text",
  "tags": {},
  "is_captcha_enabled": true,
  "captcha_secret": {
    "site_key": "text",
    "secret": "text"
  },
  "form_owner_type": "text",
  "form_owner_id": "text",
  "services": [
    {
      "service_id": "text",
      "name": "text",
      "alias": "text"
    }
  ],
  "input_field": [
    {
      "label": "text",
      "options": [
        "text"
      ]
    }
  ],
  "header": "text",
  "title": "text",
  "logo_url": "text",
  "footer_text": "text",
  "footer_link": "text",
  "email_on": [
    "text"
  ],
  "description": "text"
}
{
  "data": {
    "id": 1,
    "org_id": "text",
    "owner_id": "text",
    "name": "text",
    "is_cname": true,
    "public_url": "text",
    "host_name": "text",
    "tags": {},
    "is_captcha_enabled": true,
    "captcha_provider": "text",
    "captcha_secret": {
      "site_key": "text",
      "secret": "text"
    },
    "form_owner_type": "text",
    "form_owner_id": "text",
    "form_owner_name": "text",
    "services": [
      {
        "service_id": "text",
        "name": "text",
        "alias": "text"
      }
    ],
    "input_field": [
      {
        "label": "text",
        "options": [
          "text"
        ]
      }
    ],
    "header": "text",
    "title": "text",
    "logo_url": "text",
    "footer_text": "text",
    "footer_link": "text",
    "email_on": [
      "text"
    ],
    "description": "text",
    "incident_count": 1,
    "mttr": 1,
    "is_deleted": true,
    "deleted_at": "text"
  }
}

Remove Webform

delete
/v3/webform/{webformId}

Remove a webform from the organization. Requires access_token as a Bearer {{token}} in the Authorization header with user-write scope.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
webformIdintegerRequired
Query parameters
owner_idstringRequired
Responses
200

The request has succeeded.

application/json
datastringRequired
delete/v3/webform/{webformId}
DELETE /v3/webform/{webformId}?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": "text"
}

Last updated